## lm-sensors 2.9.1

=== Makefile ===
#  Makefile - Makefile for a Linux module for reading sensor data.
#  Copyright (c) 1998, 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Everything you may want to change is in the top of this file. Usually, you
# can just use the defaults, fortunately.

# You need a full complement of GNU utilities to run this Makefile succesfully;
# most notably, you need bash, GNU make, flex (>= 2.5.1) and bison.

# If your /bin/sh is not bash, change the below definition so that make can
# find bash. Or you can hope your sh-like shell understands all scripts.
# I think so, but I have not tested it.
#SHELL := /usr/bin/bash

# The currently running kernel version. This is used right below to
# determine where the kernel sources can be found.
KERNELVERSION := $(shell uname -r)

# The location of linux itself. This is used to find the kernel headers
# and other things.
#LINUX := /usr/src/linux
LINUX := $(shell if [ -L "/lib/modules/$(KERNELVERSION)/build" ] ; \
	then echo "/lib/modules/$(KERNELVERSION)/build" ; \
	else echo "/usr/src/linux" ; fi)
LINUX_HEADERS := $(LINUX)/include

# If you have installed the i2c header at some other place (like 
# /usr/local/include/linux), set that directory here. Please check this out
# if you get strange compilation errors; the default Linux i2c headers
# may be used mistakenly. Note: This should point to the directory
# *above* the linux/ subdirectory, so to /usr/local/include in the
# above example.
I2C_HEADERS := /usr/local/include
#I2C_HEADERS := $(LINUX_HEADERS)

# Uncomment the third line on SMP systems if the magic invocation fails.
SMP := $(shell if grep -q '^[[:space:]]*\#define[[:space:]]*CONFIG_SMP[[:space:]]*1' $(LINUX_HEADERS)/linux/autoconf.h ; \
               then echo 1; else echo 0; fi)
#SMP := 0
#SMP := 1

# Uncomment the second or third line if the magic invocation fails.
# We need to know whether CONFIG_MODVERSIONS is defined.
MODVER := $(shell if grep -q '^[[:space:]]*\#define[[:space:]]*CONFIG_MODVERSIONS[[:space:]]*1' $(LINUX_HEADERS)/linux/autoconf.h ; \
                  then echo 1; else echo 0; fi)
#MODVER := 0
#MODVER := 1

# Uncomment the second line if you are a developer. This will enable many
# additional warnings at compile-time
WARN := 0
#WARN := 1

# Uncomment the second line if you want to get (loads of) debug information
# at run-time.
# Not recommended, unless you are actually debugging the code
DEBUG := 0
#DEBUG := 1

# If you want to install at some other place then at from which you will run
# everything, set DESTDIR to the extra prefix.
DESTDIR :=

# This is the prefix that will be used for almost all directories below.
PREFIX := /usr/local

# Your C compiler
CC := gcc

# This is the main modules directory into which the modules will be installed.
# The magic invocation will return something like this:
#   /lib/modules/2.4.29
MODPREF := /lib/modules/$(shell $(CC) -I$(LINUX_HEADERS) -E etc/config.c | grep uts_release |cut -f 2 -d'"')

# This is the directory where sensors.conf will be installed, if no other
# configuration file is found
ETCDIR := /etc

# You should not need to change this. It is the directory into which the
# library files (both static and shared) will be installed.
LIBDIR := $(PREFIX)/lib

EXLDFLAGS := -Wl,-rpath,$(LIBDIR)

# You should not need to change this. It is the directory into which the
# executable program files will be installed. BINDIR for programs that are
# also useful for normal users, SBINDIR for programs that can only be run
# by the superuser.
# Note that not all programs in this package are really installed;
# some are just examples. You can always install them by hand, of
# course.
BINDIR := $(PREFIX)/bin
SBINDIR := $(PREFIX)/sbin

# You should not need to change this. It is the basic directory into which
# include files will be installed. The actual directory will be 
# $(INCLUDEDIR)/linux for system include files, and $(INCLUDEDIR)/sensors
# for library include files. If PREFIX equals the default /usr/local/bin,
# you will be able to use '#include <linux/sensors.h>' regardless of the
# current kernel selected.
INCLUDEDIR := $(PREFIX)/include
SYSINCLUDEDIR := $(INCLUDEDIR)/linux
LIBINCLUDEDIR := $(INCLUDEDIR)/sensors

# You should not need to change this. It is the base directory under which the
# manual pages will be installed.
MANDIR := $(PREFIX)/man

MACHINE := $(shell uname -m)

# Extra non-default programs to build; e.g., sensord
# PROG_EXTRA := sensord

# Set these to add preprocessor or compiler flags, or use
# environment variables
# CFLAGS :=
# CPPFLAGS :=

##################################################
# Below this, nothing should need to be changed. #
##################################################

# Note that this is a monolithic Makefile; it calls no sub-Makefiles,
# but instead, it compiles everything right from here. Yes, there are
# some distinct advantages to this; see the following paper for more info:
#   http://www.tip.net.au/~millerp/rmch/recu-make-cons-harm.html
# Note that is still uses Makefile fragments in sub-directories; these
# are called 'Module.mk'.

# Within each Module.mk, rules and dependencies can be added to targets
# all, install and clean. Use double colons instead of single ones
# to do this. 

# The subdirectories we need to build things in 
SRCDIRS :=
ifneq ($(MAKECMDGOALS),user)
ifneq ($(MAKECMDGOALS),user_install)
ifneq ($(MAKECMDGOALS),user_uninstall)
ifneq ($(MAKECMDGOALS),package)
ifneq ($(MAKECMDGOALS),userpackage)
ifneq ($(MAKECMDGOALS),manhtml)
SRCDIRS += mkpatch
SRCDIRS += kernel kernel/busses kernel/chips
endif
endif
endif
endif
endif
endif
SRCDIRS += kernel/include
SRCDIRS += lib prog/detect prog/dump prog/eeprom prog/pwm \
           prog/sensors prog/xeon ${PROG_EXTRA:%=prog/%} etc

# Some often-used commands with default options
MKDIR := mkdir -p
RMDIR := rmdir
RM := rm -f
BISON := bison
FLEX := flex
AR := ar
INSTALL := install
LN := ln -sf
GREP := grep
AWK := awk
SED := sed

# Determine the default compiler flags
# Set CFLAGS or CPPFLAGS above to add your own flags to all.
# ALLCPPFLAGS/ALLCFLAGS are common flags, plus any user-specified overrides from the environment or make command line.
# MODCPPFLAGS/MODCFLAGS is to create in-kernel object files (modules).
# PROGCPPFLAGS/PROGCFLAGS is to create non-kernel object files (which are linked into executables).
# ARCPPFLAGS/ARCFLAGS are used to create archive object files (static libraries).
# LIBCPPFLAGS/LIBCFLAGS are for shared library objects.
ALL_CPPFLAGS := -I. -Ikernel/include -I$(I2C_HEADERS)
ALL_CFLAGS := -Wall

ifeq ($(DEBUG),1)
ALL_CPPFLAGS += -DDEBUG
ALL_CFLAGS += -O -g
else
ALL_CFLAGS += -O2
endif

ifeq ($(WARN),1)
ALL_CFLAGS += -W -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual \
            -Wcast-align -Wwrite-strings -Wnested-externs -Winline
endif

ALL_CPPFLAGS += $(CPPFLAGS)
ALL_CFLAGS += $(CFLAGS)

MODCPPFLAGS :=
MODCFLAGS := -fno-strict-aliasing

ifeq ($(MACHINE),alpha)
MODCFLAGS += -ffixed-8 -mno-fp-regs -mcpu=ev56
endif

ifeq ($(MACHINE),x86_64)
MODCFLAGS += -fno-common -fomit-frame-pointer -mno-red-zone \
	     -mcmodel=kernel -fno-reorder-blocks -finline-limit=2000 -fno-strength-reduce
endif

ifeq ($(MACHINE),mips)
MODCFLAGS += -mabi=32 -mips3 -Wa,-32 -Wa,-mips3 -Wa,--trap
endif

ifeq ($(MACHINE),sparc32)
MODCFLAGS += -m32 -pipe -mno-fpu -fcall-used-g5 -fcall-used-g7
endif

ifeq ($(MACHINE),sparc64)
MODCFLAGS += -m64 -pipe -mno-fpu -mcpu=ultrasparc -mcmodel=medlow \
	     -ffixed-g4 -fcall-used-g5 -fcall-used-g7 -Wno-sign-compare \
	     -Wa,--undeclared-regs
endif

ifeq ($(SMP),1)
MODCPPFLAGS += -D__SMP__
endif

ifeq ($(MODVER),1)
MODCPPFLAGS += -DMODVERSIONS -include $(LINUX_HEADERS)/linux/modversions.h
endif

# This magic is from the kernel Makefile.
# Extra cflags for kbuild 2.4.  The default is to forbid includes by kernel code
# from user space headers.
kbuild_2_4_nostdinc := -nostdinc $(shell LC_ALL=C $(CC) -print-search-dirs | sed -ne 's/install: \(.*\)/-I \1include/gp')

MODCPPFLAGS += -D__KERNEL__ -DMODULE -DEXPORT_SYMTAB -fomit-frame-pointer $(ALL_CPPFLAGS) -I$(LINUX_HEADERS) $(kbuild_2_4_nostdinc)
MODCFLAGS += $(ALL_CFLAGS)
PROGCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS)
PROGCFLAGS := $(ALL_CFLAGS)
ARCPPFLAGS := $(ALL_CPPFLAGS)
ARCFLAGS := $(ALL_CFLAGS)
LIBCPPFLAGS := $(ALL_CPPFLAGS)
LIBCFLAGS := -fpic $(ALL_CFLAGS)

.PHONY: all clean install version package dep

# Make all the default rule
all::

# Include all makefiles for sub-modules
INCLUDEFILES := 
include $(patsubst %,%/Module.mk,$(SRCDIRS))
ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),uninstall)
ifneq ($(MAKECMDGOALS),user_uninstall)
ifneq ($(MAKECMDGOALS),help)
ifneq ($(MAKECMDGOALS),package)
ifneq ($(MAKECMDGOALS),userpackage)
include $(INCLUDEFILES)
endif
endif
endif
endif
endif
endif

# Man pages
MANPAGES := $(LIBMAN3FILES) $(LIBMAN5FILES) $(PROGDETECTMAN8FILES) $(PROGDUMPMAN8FILES) \
            $(PROGSENSORSMAN1FILES) $(PROGPWMMAN8FILES) prog/sensord/sensord.8

# Making the dependency files - done automatically!
dep : 

user ::
user_install::
	@echo "*** Important note:"
	@echo "***  * The libsensors configuration file ($(ETCDIR)/sensors.conf) is never"
	@echo "***    overwritten by our installation process, so that you won't lose"
	@echo "***    your personal settings in that file. You still can get our latest"
	@echo "***    default config file in etc/sensors.conf.eg and manually copy it to"
	@echo "***    $(ETCDIR)/sensors.conf if you want. You will then want to edit it"
	@echo "***    to fit your needs again."
all :: user
install :: all user_install
ifeq ($(DESTDIR),)
	-/sbin/depmod -a
else
	@echo "*** This is a \`staged' install using \"$(DESTDIR)\" as prefix."
	@echo "***"
	@echo "*** Once the modules have been moved to their final destination"
	@echo "*** you must run the command \"/sbin/depmod -a\"."
	@echo "***"
	@echo "*** Alternatively, if you build a package (e.g. rpm), include the"
	@echo "*** command \"/sbin/depmod -a\" in the post-(un)install procedure."
	@echo "***"
	@echo "*** The depmod command mentioned above may generate errors. We are"
	@echo "*** aware of the problem and are working on a solution."
endif

clean::
	$(RM) lm_sensors-*

user_uninstall::
	
uninstall :: user_uninstall
	@echo "*** Note:"
	@echo "***  * Kernel modules were not uninstalled."

# This is tricky, but it works like a charm. It needs lots of utilities
# though: cut, find, gzip, ln, tail and tar.
package: version clean
	lmversion=`tail -1 version.h|cut -f 2 -d \"`; \
	lmpackage=lm_sensors-$$lmversion; \
	ln -s . $$lmpackage;  \
	find $$lmpackage/ -type f | grep -v ^$$lmpackage/$$lmpackage$$ | \
	                            grep -v ^$$lmpackage/$$lmpackage.tar$$ | \
	                            grep -v ^$$lmpackage/$$ | \
	                            grep -v /CVS | \
	                            grep -v /\\.# | \
	                            tar rvf $$lmpackage.tar -T -; \
        gzip -9 $$lmpackage.tar ;\
        $(RM) $$lmpackage.tar $$lmpackage
	cat doc/developers/checklist

# doesn't work well yet... needs Makefile changes too
userpackage: version clean $(KERNELINCLUDEDIR)/sensors.h
	lmversion=`tail -1 version.h|cut -f 2 -d \"`; \
	lmpackage=lm_sensors-user-$$lmversion; \
	ln -s . $$lmpackage;  \
	find $$lmpackage/ -type f | grep -v ^$$lmpackage/$$lmpackage$$ | \

=== prog/eepromer/Makefile ===
#eepromer  Makefile

CFLAGS = -O2 -I../../kernel/include

all:  eepromer eeprom eeprog

eepromer:  eepromer.o

eeprom:  eeprom.o

eeprog: eeprog.o 24cXX.o

clean:
	rm -rf *~ *.o eepromer eeprom eeprog

=== prog/rrd/Makefile ===
#
# Edit the following for your setup
#
USER=apache
#CRONTAB=/var/spool/cron/tabs/$(USER)
RRDPATH=/usr/local/rrdtool/bin
BINPATH=/usr/local/bin
RRDDIR=/var/lib/sensors-rrd
APACHE=/var/www/html
APACHDIR=$(APACHE)/senspix
SENSDEV=bmc-ipmi-0000
MACH=`uname -n`
#
# Everything below here should be fine
#
RRDB=$(RRDDIR)/sensors.rrd
SENSDIR=/proc/sys/dev/sensors/$(SENSDEV)

all: sens_day.cgi sens_week.cgi summ_week.cgi $(SENSDIR)

%.cgi : %.in Makefile
	sed -e "s#%%RRDPATH%%#$(RRDPATH)#g;s#%%APACHDIR%%#$(APACHDIR)#g;s#%%RRDDIR%%#$(RRDDIR)#g;s#%%MACH%%#$(MACH)#g" $< > $@

$(RRDDIR) :
	install -d -o $(USER) $(RRDDIR)

$(RRDB) : $(RRDDIR)
	./sens_create_rrd $(RRDB)
	chown $(USER) $(RRDB)
	
$(SENSDIR) :
	$(error error - sensor $(SENSDEV) not installed - check SENSDEV definition in Makefile)

$(CRONTAB) :
	$(error error - crontab for user $(USER) not present - check CRONTAB definition in Makefile)

$(APACHE) :
	$(error error - Web server directory $(APACHE) not present - check APACHE definition in Makefile)

$(APACHDIR)/pix : $(APACHE)
	install -d -o $(USER) -m 777 $(APACHDIR)/pix

install: all $(RRDB) $(SENSDIR) $(CRONTAB) $(APACHDIR)/pix
	install -m 755 sens_update_rrd $(BINPATH)
	install -m 755 sens_week.cgi $(APACHDIR)
	install -m 755 sens_day.cgi $(APACHDIR)
	install -m 755 summ_week.cgi $(APACHDIR)
#	grep sens_update_rrd $(CRONTAB) > /dev/null 2>&1 || echo '*/5 * * * *	/usr/local/bin/sens_update_rrd' $(RRDB) $(SENSDEV) >> $(CRONTAB)
	@echo
	@echo Note!!! You must manually install the following line in the crontab for user $(USER):
	@echo '   */5 * * * *    ' /usr/local/bin/sens_update_rrd $(RRDB) $(SENSDEV)

clean:
	rm -f sens_day.cgi sens_week.cgi summ_week.cgi

## lm-sensors 2.9.2

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,16 @@
 # The magic invocation will return something like this:
 #   /lib/modules/2.4.29
 MODPREF := /lib/modules/$(shell $(CC) -I$(LINUX_HEADERS) -E etc/config.c | grep uts_release |cut -f 2 -d'"')
+
+# Prevent 2.6+ users from using improper targets, as this won't work.
+ifeq (,$(findstring /2.4., $(MODPREF)))
+    ifeq (, $(MAKECMDGOALS))
+        $(error For 2.6 kernels and later, use "make user")
+    endif
+    ifeq (install, $(MAKECMDGOALS))
+        $(error For 2.6 kernels and later, use "make user_install")
+    endif
+endif
 
 # This is the directory where sensors.conf will be installed, if no other
 # configuration file is found
@@ -310,7 +320,7 @@
 	$(RM) lm_sensors-*
 
 user_uninstall::
-	
+
 uninstall :: user_uninstall
 	@echo "*** Note:"
 	@echo "***  * Kernel modules were not uninstalled."
@@ -329,11 +339,3 @@
 	                            tar rvf $$lmpackage.tar -T -; \
         gzip -9 $$lmpackage.tar ;\
         $(RM) $$lmpackage.tar $$lmpackage
-	cat doc/developers/checklist
-
-# doesn't work well yet... needs Makefile changes too
-userpackage: version clean $(KERNELINCLUDEDIR)/sensors.h
-	lmversion=`tail -1 version.h|cut -f 2 -d \"`; \
-	lmpackage=lm_sensors-user-$$lmversion; \
-	ln -s . $$lmpackage;  \
-	find $$lmpackage/ -type f | grep -v ^$$lmpackage/$$lmpackage$$ | \

## lm-sensors 2.10.1

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,9 @@
 # Everything you may want to change is in the top of this file. Usually, you
 # can just use the defaults, fortunately.
 
-# You need a full complement of GNU utilities to run this Makefile succesfully;
-# most notably, you need bash, GNU make, flex (>= 2.5.1) and bison.
+# You need a full complement of GNU utilities to run this Makefile
+# successfully; most notably, you need bash, GNU make, flex (>= 2.5.1)
+# and bison.
 
 # If your /bin/sh is not bash, change the below definition so that make can
 # find bash. Or you can hope your sh-like shell understands all scripts.
@@ -47,18 +48,16 @@
 I2C_HEADERS := /usr/local/include
 #I2C_HEADERS := $(LINUX_HEADERS)
 
-# Uncomment the third line on SMP systems if the magic invocation fails.
+ifneq ($(MAKECMDGOALS),user)
+ifneq ($(MAKECMDGOALS),user_install)
+ifneq ($(MAKECMDGOALS),user_uninstall)
 SMP := $(shell if grep -q '^[[:space:]]*\#define[[:space:]]*CONFIG_SMP[[:space:]]*1' $(LINUX_HEADERS)/linux/autoconf.h ; \
                then echo 1; else echo 0; fi)
-#SMP := 0
-#SMP := 1
-
-# Uncomment the second or third line if the magic invocation fails.
-# We need to know whether CONFIG_MODVERSIONS is defined.
 MODVER := $(shell if grep -q '^[[:space:]]*\#define[[:space:]]*CONFIG_MODVERSIONS[[:space:]]*1' $(LINUX_HEADERS)/linux/autoconf.h ; \
                   then echo 1; else echo 0; fi)
-#MODVER := 0
-#MODVER := 1
+endif
+endif
+endif
 
 # Uncomment the second line if you are a developer. This will enable many
 # additional warnings at compile-time
@@ -84,7 +83,21 @@
 # This is the main modules directory into which the modules will be installed.
 # The magic invocation will return something like this:
 #   /lib/modules/2.4.29
-MODPREF := /lib/modules/$(shell $(CC) -I$(LINUX_HEADERS) -E etc/config.c | grep uts_release |cut -f 2 -d'"')
+KERNELVERSION := $(shell $(CC) -I$(LINUX_HEADERS) -E etc/config.c | grep uts_release | cut -f 2 -d'"')
+MODPREF := /lib/modules/$(KERNELVERSION)
+
+# When building userspace for use with 2.4.x series kernels, we turn off
+# sysfs support by default.  You can override this (e.g. if you want
+# to build binaries that work for both 2.4.x, and 2.6.x and above)
+# by uncommenting the line after the next endif.  Keep in mind, if and only
+# if you do this: you will need to install the libsysfs libraries on your
+# kernel 2.4.x systems also.
+ifeq (,$(findstring /2.4., $(MODPREF)))
+	SYSFS_SUPPORT := 1
+else
+	SYSFS_SUPPORT :=
+endif
+#SYSFS_SUPPORT := 1
 
 # Prevent 2.6+ users from using improper targets, as this won't work.
 ifeq (,$(findstring /2.4., $(MODPREF)))
@@ -206,7 +219,7 @@
 endif
 
 ifeq ($(WARN),1)
-ALL_CFLAGS += -W -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual \
+ALL_CFLAGS += -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual \
             -Wcast-align -Wwrite-strings -Wnested-externs -Winline
 endif
 
@@ -254,14 +267,20 @@
 
 MODCPPFLAGS += -D__KERNEL__ -DMODULE -DEXPORT_SYMTAB -fomit-frame-pointer $(ALL_CPPFLAGS) -I$(LINUX_HEADERS) $(kbuild_2_4_nostdinc)
 MODCFLAGS += $(ALL_CFLAGS)
-PROGCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS)
+PROGCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS) -Wundef
 PROGCFLAGS := $(ALL_CFLAGS)
 ARCPPFLAGS := $(ALL_CPPFLAGS)
+ifdef SYSFS_SUPPORT
+ARCPPFLAGS := $(ARCPPFLAGS) -DSYSFS_SUPPORT
+endif
 ARCFLAGS := $(ALL_CFLAGS)
 LIBCPPFLAGS := $(ALL_CPPFLAGS)
+ifdef SYSFS_SUPPORT
+LIBCPPFLAGS := $(LIBCPPFLAGS) -DSYSFS_SUPPORT
+endif
 LIBCFLAGS := -fpic $(ALL_CFLAGS)
 
-.PHONY: all clean install version package dep
+.PHONY: all user clean install user_install uninstall user_uninstall version package
 
 # Make all the default rule
 all::
@@ -286,9 +305,6 @@
 # Man pages
 MANPAGES := $(LIBMAN3FILES) $(LIBMAN5FILES) $(PROGDETECTMAN8FILES) $(PROGDUMPMAN8FILES) \
             $(PROGSENSORSMAN1FILES) $(PROGPWMMAN8FILES) prog/sensord/sensord.8
-
-# Making the dependency files - done automatically!
-dep : 
 
 user ::
 user_install::
@@ -302,7 +318,9 @@
 all :: user
 install :: all user_install
 ifeq ($(DESTDIR),)
-	-/sbin/depmod -a
+	-if [ -r $(MODPREF)/build/System.map -a -x /sbin/depmod ] ; then \
+	  /sbin/depmod -a -F $(MODPREF)/build/System.map $(KERNELVERSION) ; \
+	fi
 else
 	@echo "*** This is a \`staged' install using \"$(DESTDIR)\" as prefix."
 	@echo "***"
@@ -325,17 +343,3 @@
 	@echo "*** Note:"
 	@echo "***  * Kernel modules were not uninstalled."
 
-# This is tricky, but it works like a charm. It needs lots of utilities
-# though: cut, find, gzip, ln, tail and tar.
-package: version clean
-	lmversion=`tail -1 version.h|cut -f 2 -d \"`; \
-	lmpackage=lm_sensors-$$lmversion; \
-	ln -s . $$lmpackage;  \
-	find $$lmpackage/ -type f | grep -v ^$$lmpackage/$$lmpackage$$ | \
-	                            grep -v ^$$lmpackage/$$lmpackage.tar$$ | \
-	                            grep -v ^$$lmpackage/$$ | \
-	                            grep -v /CVS | \
-	                            grep -v /\\.# | \
-	                            tar rvf $$lmpackage.tar -T -; \
-        gzip -9 $$lmpackage.tar ;\
-        $(RM) $$lmpackage.tar $$lmpackage

## lm-sensors 2.10.5

=== Makefile ===
--- 
+++ 
@@ -83,8 +83,10 @@
 # This is the main modules directory into which the modules will be installed.
 # The magic invocation will return something like this:
 #   /lib/modules/2.4.29
-KERNELVERSION := $(shell $(CC) -I$(LINUX_HEADERS) -E etc/config.c | grep uts_release | cut -f 2 -d'"')
-MODPREF := /lib/modules/$(KERNELVERSION)
+ifneq (,$(findstring /2.4., /$(KERNELVERSION)))
+	UTSRELEASE := $(shell $(CC) -I$(LINUX_HEADERS) -E etc/config.c | grep uts_release | cut -f 2 -d'"')
+	MODPREF := /lib/modules/$(UTSRELEASE)
+endif
 
 # When building userspace for use with 2.4.x series kernels, we turn off
 # sysfs support by default.  You can override this (e.g. if you want
@@ -92,7 +94,7 @@
 # by uncommenting the line after the next endif.  Keep in mind, if and only
 # if you do this: you will need to install the libsysfs libraries on your
 # kernel 2.4.x systems also.
-ifeq (,$(findstring /2.4., $(MODPREF)))
+ifeq (,$(findstring /2.4., /$(KERNELVERSION)))
 	SYSFS_SUPPORT := 1
 else
 	SYSFS_SUPPORT :=
@@ -100,7 +102,7 @@
 #SYSFS_SUPPORT := 1
 
 # Prevent 2.6+ users from using improper targets, as this won't work.
-ifeq (,$(findstring /2.4., $(MODPREF)))
+ifeq (,$(findstring /2.4., /$(KERNELVERSION)))
     ifeq (, $(MAKECMDGOALS))
         $(error For 2.6 kernels and later, use "make user")
     endif
@@ -132,7 +134,7 @@
 # You should not need to change this. It is the basic directory into which
 # include files will be installed. The actual directory will be 
 # $(INCLUDEDIR)/linux for system include files, and $(INCLUDEDIR)/sensors
-# for library include files. If PREFIX equals the default /usr/local/bin,
+# for library include files. If PREFIX equals the default /usr/local,
 # you will be able to use '#include <linux/sensors.h>' regardless of the
 # current kernel selected.
 INCLUDEDIR := $(PREFIX)/include
@@ -177,7 +179,7 @@
 ifneq ($(MAKECMDGOALS),userpackage)
 ifneq ($(MAKECMDGOALS),manhtml)
 SRCDIRS += mkpatch
-SRCDIRS += kernel kernel/busses kernel/chips
+SRCDIRS += kernel/busses kernel/chips
 endif
 endif
 endif
@@ -187,6 +189,7 @@
 SRCDIRS += kernel/include
 SRCDIRS += lib prog/detect prog/dump prog/eeprom prog/pwm \
            prog/sensors prog/xeon ${PROG_EXTRA:%=prog/%} etc
+SRCDIRS += lib/test
 
 # Some often-used commands with default options
 MKDIR := mkdir -p
@@ -278,7 +281,7 @@
 ifdef SYSFS_SUPPORT
 LIBCPPFLAGS := $(LIBCPPFLAGS) -DSYSFS_SUPPORT
 endif
-LIBCFLAGS := -fpic $(ALL_CFLAGS)
+LIBCFLAGS := -fpic -D_REENTRANT $(ALL_CFLAGS)
 
 .PHONY: all user clean install user_install uninstall user_uninstall version package
 
@@ -319,7 +322,7 @@
 install :: all user_install
 ifeq ($(DESTDIR),)
 	-if [ -r $(MODPREF)/build/System.map -a -x /sbin/depmod ] ; then \
-	  /sbin/depmod -a -F $(MODPREF)/build/System.map $(KERNELVERSION) ; \
+	  /sbin/depmod -a -F $(MODPREF)/build/System.map $(UTSRELEASE) ; \
 	fi
 else
 	@echo "*** This is a \`staged' install using \"$(DESTDIR)\" as prefix."
@@ -335,11 +338,7 @@
 endif
 
 clean::
-	$(RM) lm_sensors-*
+	$(RM) lm_sensors-* lex.backup
 
 user_uninstall::
 
-uninstall :: user_uninstall
-	@echo "*** Note:"
-	@echo "***  * Kernel modules were not uninstalled."
-

## lm-sensors 3.3.0

=== debian/changelog ===
lm-sensors (1:3.3.0-4ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #808769) Remaining changes:
    - Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
      than init-script.

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 17 Jul 2011 13:27:11 -0500

lm-sensors (1:3.3.0-4) unstable; urgency=low

  * Rename source package to lm-sensors now that the version 2 is gone.
  * Add patch from upstream to support 2 digits kernel version (closes: 
    #630508).
  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libsensors4 and set it
    Multi-Arch: same.
    - Install the library in the multiarch path.
  * Add build-arch and build-indep targets. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Jun 2011 21:25:57 +0200

lm-sensors-3 (1:3.3.0-3) unstable; urgency=low

  * Correctly detect udev in sensors-detect (closes: #628228). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 04 Jun 2011 22:42:37 +0200

lm-sensors-3 (1:3.3.0-2) unstable; urgency=low

  * Avoid printing a warning if ucf is not available (closes: #626402). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 11 May 2011 20:02:23 +0200

lm-sensors-3 (1:3.3.0-1) unstable; urgency=low

  * New upstream version:
    - refresh all patches.
    - update 12-upstream-patches.patch with upstream recommended patches.
    - update symbols file, now that upstream only export symbols of the 
      public API. Hope it won't break anything, otherwise we should go 
      through a soname bump and a transition.
  * Remove old fancontrol links in postinst (closes: bug#612231).
  * Bumped Standards-version to 3.9.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 09 Apr 2011 15:19:33 +0200

lm-sensors-3 (1:3.2.0-1ubuntu3) oneiric; urgency=low

  * fix sensors-detect won't recognize 3.0 kernel fix to handle
    older versions correctly.  (LP: #797001)

 -- Andy Whitcroft <apw@canonical.com>  Fri, 17 Jun 2011 16:01:05 +0100

lm-sensors-3 (1:3.2.0-1ubuntu2) oneiric; urgency=low

  * fix LP: #797001 - sensors-detect won't recognize 3.0 kernel
    - add debian/patches/101_detect_3_0_kernel_version.patch
    - update debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 13 Jun 2011 23:04:24 -0500

lm-sensors-3 (1:3.2.0-1ubuntu1) natty; urgency=low

  * Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
    than init-script. (Thanks Michael Basse)
    (LP: #741338)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 04 Apr 2011 11:39:13 -0700

lm-sensors-3 (1:3.2.0-1) unstable; urgency=low

  * New upstream version.
  * Suggests fancontrol instead of recommending it in lm-sensors (closes:
    bug#567185).
  * Suggests lm-sensors instead of recommending it in libsensors4 (closes:
    bug#602914).
  * Suggests rrdtool in sensord (closes: bug#588132).
  * Detect SMSC SCH5524-NS chip (closes: bug#588355).
  * Bumped Standards-version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 14:46:28 +0100

lm-sensors-3 (1:3.1.2-6) unstable; urgency=low

  * Fix return value in fancontrol --check (closes: bug#583216). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 May 2010 19:17:40 +0200

lm-sensors-3 (1:3.1.2-5) unstable; urgency=low

  * Use the --check option in both the initscript and the fancontrol
    script (closes: bug#582979).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 May 2010 11:15:17 +0200

lm-sensors-3 (1:3.1.2-4) unstable; urgency=low

  * Check /etc/fancontrol before starting the daemon (closes:
    bug#582979).
  * Add a README.Debian in lm-sensors package. (closes: bug#576932).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 May 2010 11:33:23 +0200

lm-sensors-3 (1:3.1.2-3) unstable; urgency=medium

  * Add 09-sensord-multiple-chips.diff from upstream to fix multiple
    chip support in sensord (closes: bug#581036).
  * Fix error message in lm-sensors init script (closes: bug#581350).
  * Remove /etc/rc1.d/K20sensord on upgrade (closes: bug#573898). 
  * Fix typos in pwmconfig (closes: bug#570344).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 24 May 2010 23:11:32 +0200

lm-sensors-3 (1:3.1.2-2) unstable; urgency=low

  * Detect old configuration files in init script (closes: bug#568627).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 07 Feb 2010 21:12:44 +0100

lm-sensors-3 (1:3.1.2-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Feb 2010 20:15:07 +0100

lm-sensors-3 (1:3.1.1-6) unstable; urgency=low

  * Move fancontrol.txt to the fancontrol package (closes: bug#567181). 
  * Remove old init scripts if they are not modified an upgrading from
    version (<< 1:3.1.1-5). (closes: bug#567183).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jan 2010 22:11:25 +0100

lm-sensors-3 (1:3.1.1-5) unstable; urgency=low

  * Split-out fancontrol in a separate package (closes: bug#540677).
  * Restart fancontrol in postinst instead of starting it (closes: 
    bug#552197).
  * Don't stop fancontrol in runlevel 0 1 6 (closes: bug#563835).
  * Don't stop sensord in runlevel 1.
  * Ignore failures to set sensors at boot time (closes: bug#566184,
    bug#556361).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jan 2010 00:00:33 +0100

lm-sensors-3 (1:3.1.1-4) unstable; urgency=low

  * Bumped Standards-version to 3.8.3 (no changes).
  * Drop libsensors4 postinst script and the dependency on makedev | 
    udev. This part has been moved to i2c-tools.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Oct 2009 00:20:17 +0200

lm-sensors-3 (1:3.1.1-3) unstable; urgency=low

  * *.init: depends on $remote_fs instead of $local_fs (closes: 
    bug#541363). 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 Aug 2009 20:18:11 +0200

lm-sensors-3 (1:3.1.1-2) unstable; urgency=low

  * Stop managing /etc/sensors3.conf using ucf, as user changes should now


=== debian/control ===
Source: lm-sensors
Section: utils
Priority: extra
Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.9.2
Homepage: http://www.lm-sensors.org

Package: lm-sensors
Architecture: any
Section: utils
Depends: sed (>= 4.0.5-1), lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Suggests: fancontrol, sensord, read-edid, i2c-tools
Description: utilities to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains programs to help you set up and read data from
 lm-sensors.

Package: libsensors4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: makedev (>= 2.3.1-45) | udev, ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Suggests: lm-sensors
Section: libs
Description: library to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a shared library for querying lm-sensors.

Package: libsensors4-dev
Architecture: any
Depends: libsensors4 (= ${binary:Version}), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6), libsensors-dev
Section: libdevel
Description: lm-sensors development kit
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains the static library and header files used in
 development.

Package: fancontrol
Architecture: all
Section: utils
Depends: lsb-base (>= 3.2-13), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6)
Replaces: lm-sensors (<< 1:3.1.1-6)
Description: utilities to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a daemon that calculates fan speeds from temperatures
 and sets the corresponding PWM outputs to the computed values.

Package: sensord
Architecture: any
Section: utils
Depends: lm-sensors, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Suggests: rrdtool
Description: hardware sensor information logging daemon
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a daemon that logs hardware health status to the
 system log with optional warnings on potential system problems.

## lm-sensors 3.3.1

=== debian/changelog ===
lm-sensors (1:3.3.1-2) unstable; urgency=low

  * sensors-detect: restrict super-io probes to x86 and x86_64 (closes:
    #657555).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Jan 2012 10:42:53 +0100

lm-sensors (1:3.3.1-1) unstable; urgency=low

  * New upstream version:
    - Drop 12-upstream-patches.patch.
    - Drop 13-udev-run.patch.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Oct 2011 15:21:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: utils
 Priority: extra
 Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Aurelien Jarno <aurel32@debian.org>
 Standards-Version: 3.9.2
 Homepage: http://www.lm-sensors.org

=== debian/rules ===
#!/usr/bin/make -f
# This is fairly complicated since it can be called either to build the
# source package, or to build a kernel module package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean PROG_EXTRA=sensord
	
	rm -f *-stamp
	dh_clean 

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	# binary programs and librairies
	$(MAKE) user \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		PROG_EXTRA=sensord \
		EXLDFLAGS=""

	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir 
	touch $@

install: install-stamp
install-stamp: build
	dh_testdir 
	dh_testroot 
	dh_clean -s -k 
	dh_installdirs -s

	$(MAKE) user_install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		MANDIR=/usr/share/man \
		PROG_EXTRA=sensord \
		EXLDFLAGS=""

	# Install extra files as needed
	install -m 0644 debian/sensord.logcheck debian/sensord/etc/logcheck/ignore.d.server/sensord
	install -m 0644 debian/sensord.logcheck debian/sensord/etc/logcheck/ignore.d.workstation/sensord

	# Make sure /etc/sensors.d/ is not removed
	touch debian/tmp/etc/sensors.d/.placeholder

	# Install isadump only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isadump ] ; then \
	        cp -f prog/dump/isadump debian/lm-sensors/usr/sbin ; \
		mkdir -p debian/lm-sensors/usr/share/man/man8 ; \
	        cp -f prog/dump/isadump.8 debian/lm-sensors/usr/share/man/man8 ; \
	fi
	# Install isaset only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isaset ] ; then \
	        cp -f prog/dump/isaset debian/lm-sensors/usr/sbin ; \
		mkdir -p debian/lm-sensors/usr/share/man/man8 ; \
	        cp -f prog/dump/isaset.8 debian/lm-sensors/usr/share/man/man8 ; \
	fi

	dh_install --sourcedir=debian/tmp

	touch install-stamp


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir 
	dh_testroot
	dh_installchangelogs -i CHANGES
	dh_installdocs -i -XCVS
	dh_installinit -pfancontrol --restart-after-upgrade -- start 20 2 3 4 5 .
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependant files that arn't kernel modules here.
binary-arch: build install
	dh_testdir 
	dh_testroot
	dh_installchangelogs -s CHANGES
	dh_installdocs -s -XCVS
	dh_installexamples -s -XCVS -XModule.mk
	dh_installinit -plm-sensors --no-start -- start 47 S .
	dh_installinit -psensord -- start 20 2 3 4 5 .
	dh_installman -s
	dh_link -s
	dh_strip -s
	dh_compress -s -X.pl
	dh_fixperms -s
	dh_perl -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-arch binary-indep
.PHONY: clean build install binary-indep binary-arch binary

## lm-sensors 3.3.2

=== debian/changelog ===
lm-sensors (1:3.3.2-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Disable multiarch by changing LIBDIR, removing Multi-Arch from
      debian/control, and editing debian/libsensors4*.install.
  * Build requires backported debhelper.

 -- Matt Taggart <taggart@debian.org>  Mon, 11 Mar 2013 00:31:46 -0700

lm-sensors (1:3.3.2-2) unstable; urgency=low

  * Tell user to restart kmod instead of modules-init-tools (closes: 
    #670213).
  * Install a systemd service file for lm-sensors (closes: #674778).
  * Correctly pass CPPFLAGS and LDFLAGS to build with hardening support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 16:21:26 +0200

lm-sensors (1:3.3.2-1) unstable; urgency=low

  * New upstream version:
  * Bumped Standards-version to 3.9.3 (no changes).
  * Drop useless dependency on makedev | udev (closes: #666510).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Apr 2012 19:00:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.lm-sensors.org
 
 Package: lm-sensors
@@ -21,9 +21,8 @@
 
 Package: libsensors4
 Architecture: any
-Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: makedev (>= 2.3.1-45) | udev, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Priority: optional
 Suggests: lm-sensors
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 
 clean:
 	dh_testdir
@@ -29,9 +33,14 @@
 	# binary programs and librairies
 	$(MAKE) user \
 		PREFIX=/usr \
-		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		LIBDIR=/usr/lib \
+		MANDIR=/usr/share/man \
 		PROG_EXTRA=sensord \
-		EXLDFLAGS=""
+		CFLAGS="$(CFLAGS)" \
+		CPPFLAGS="$(CPPFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" \
+		EXLDFLAGS="$(LDFLAGS)"
+
 
 	touch $@
 
@@ -50,14 +59,19 @@
 	$(MAKE) user_install \
 		DESTDIR=$(CURDIR)/debian/tmp \
 		PREFIX=/usr \
-		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		LIBDIR=/usr/lib \
 		MANDIR=/usr/share/man \
 		PROG_EXTRA=sensord \
-		EXLDFLAGS=""
+		CFLAGS="$(CFLAGS)" \
+		CPPFLAGS="$(CPPFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" \
+		EXLDFLAGS="$(LDFLAGS)"
+
 
 	# Install extra files as needed
 	install -m 0644 debian/sensord.logcheck debian/sensord/etc/logcheck/ignore.d.server/sensord
 	install -m 0644 debian/sensord.logcheck debian/sensord/etc/logcheck/ignore.d.workstation/sensord
+	install -m 0644 debian/lm-sensors.service debian/lm-sensors/lib/systemd/system/
 
 	# Make sure /etc/sensors.d/ is not removed
 	touch debian/tmp/etc/sensors.d/.placeholder

## lm-sensors 3.3.3

=== debian/changelog ===
lm-sensors (1:3.3.3-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1178520). Remaining changes:
    - Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
      than init-script.

 -- Matthew Fischer <matthew.fischer@canonical.com>  Thu, 09 May 2013 21:55:15 -0600

lm-sensors (1:3.3.3-1) unstable; urgency=low

  * New upstream version:
    - Don't choke on systems without PCI (closes: #695889).
  * Bumped Standards-version to 3.9.4.0 (no changes).
  * Compress .deb with xz.
  * Add a watch file (closes: #694848).
  * Fix RRD file creation with loadavg (closes: #614965).
  * Backport pwmconfig changes from upstream to fix multiple fan
    control (closes: #695895).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 May 2013 23:37:35 +0200

lm-sensors (1:3.3.2-2ubuntu1) raring-proposed; urgency=low

  * Merge from Debian unstable (LP: #1075010). Remaining changes:
    - Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
      than init-script.
  * Update 100_recommend_using_upstart.patch to reflect kmod transition.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 05 Nov 2012 13:18:21 -0500

lm-sensors (1:3.3.1-2ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 11:37:42 +0100

lm-sensors (1:3.3.1-2ubuntu1) precise; urgency=low

  * Merge from debian testing, remaining changes are:
    - Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
      than init-script. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2012 08:53:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: extra
 Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev
-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Standards-Version: 3.9.4
 Homepage: http://www.lm-sensors.org
 
 Package: lm-sensors
@@ -21,6 +22,7 @@
 
 Package: libsensors4
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	# binary programs and librairies
 	$(MAKE) user \
 		PREFIX=/usr \
-		LIBDIR=/usr/lib \
+		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		MANDIR=/usr/share/man \
 		PROG_EXTRA=sensord \
 		CFLAGS="$(CFLAGS)" \
@@ -59,7 +59,7 @@
 	$(MAKE) user_install \
 		DESTDIR=$(CURDIR)/debian/tmp \
 		PREFIX=/usr \
-		LIBDIR=/usr/lib \
+		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		MANDIR=/usr/share/man \
 		PROG_EXTRA=sensord \
 		CFLAGS="$(CFLAGS)" \
@@ -108,7 +108,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i
+	dh_builddeb -i -- -Zxz
 
 # Build architecture-dependant files that arn't kernel modules here.
 binary-arch: build install
@@ -130,7 +130,7 @@
 	dh_shlibdeps -s
 	dh_gencontrol -s
 	dh_md5sums -s
-	dh_builddeb -s
+	dh_builddeb -s -- -Zxz
 
 binary: binary-arch binary-indep
 .PHONY: clean build install binary-indep binary-arch binary

## lm-sensors 3.3.4

=== debian/changelog ===
lm-sensors (1:3.3.4-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1256671). Remaining changes:
    - Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
      than init-script.

 -- Matt Fischer <mfisch@ubuntu.com>  Mon, 02 Dec 2013 21:07:32 -0700

lm-sensors (1:3.3.4-2) unstable; urgency=low

  * debian/fancontrol.init: pass the config file location as argument of
    the fancontrol daemon (closes: #720213).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 18:36:05 +0200

lm-sensors (1:3.3.4-1) unstable; urgency=low

  * New upstream version.
  * Use dh-systemd to get proper systemd related maintainer scripts,
    based on a patch from Michael Stapelberg (closes: #714190).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Jun 2013 16:37:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lm-sensors
 Section: utils
 Priority: extra
-Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev
+Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev, dh-systemd (>= 1.3)
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
 Standards-Version: 3.9.4

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,14 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# support parallel build using DEB_BUILD_OPTIONS=parallel=N
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -71,7 +79,7 @@
 	# Install extra files as needed
 	install -m 0644 debian/sensord.logcheck debian/sensord/etc/logcheck/ignore.d.server/sensord
 	install -m 0644 debian/sensord.logcheck debian/sensord/etc/logcheck/ignore.d.workstation/sensord
-	install -m 0644 debian/lm-sensors.service debian/lm-sensors/lib/systemd/system/
+#	install -m 0644 debian/lm-sensors.service debian/lm-sensors/lib/systemd/system/
 
 	# Make sure /etc/sensors.d/ is not removed
 	touch debian/tmp/etc/sensors.d/.placeholder
@@ -100,7 +108,9 @@
 	dh_testroot
 	dh_installchangelogs -i CHANGES
 	dh_installdocs -i -XCVS
+	dh_systemd_enable -pfancontrol
 	dh_installinit -pfancontrol --restart-after-upgrade -- start 20 2 3 4 5 .
+	dh_systemd_start -pfancontrol
 	dh_installman -i
 	dh_link -i
 	dh_compress -i
@@ -117,8 +127,10 @@
 	dh_installchangelogs -s CHANGES
 	dh_installdocs -s -XCVS
 	dh_installexamples -s -XCVS -XModule.mk
+	dh_systemd_enable -plm-sensors
 	dh_installinit -plm-sensors --no-start -- start 47 S .
 	dh_installinit -psensord -- start 20 2 3 4 5 .
+	dh_systemd_start -plm-sensors
 	dh_installman -s
 	dh_link -s
 	dh_strip -s
